DJVIEW3(1)

NAME
djview3 - Standalone DjVu viewer

SYNOPSIS
djview3 [options] [djvufile]

DESCRIPTION
Standalone viewer for DjVu files. Features include navigating documents, zooming and panning page images, producing and displaying thumbnails, searching documents for particular words in the hidden text layer, copying hidden text to the clipboard, exporting page images as PNM files, saving pages and documents as bundled or indirect multi-page files, and printing page and documents to Postscript printers.

OPTIONS

-help
    Display a brief help message.

-page=pagenum
    Open page pagenum of the document.

-style=stylename
    Specify the graphical user interface style. Recognized values for stylename depend on the installed version of the Qt toolkit. Common style names include windows, motif, motifplus, sgi, cde, and platinum.

-fullscreen, -fs
    Start djview3 in full screen mode. This only works if you also provide a DjVu file name on the command line.

-geometry=geom
    Specify the initial window size. The X11 geometry specification geom often has the form wxh+x+y where w and h are the window width and height, and x and y indicate the window position.

-display=disp
    Specify that the djview3 windows should appear on the X11 display disp.

-fn fontname
    Specify the name of the default font used for buttons and menus.

-bg color
    Specify the default background color.

-fg color
    Specify the default foreground color.

-btn color
    Specify the default button color.

-visual TrueColor
    Force the use of a TrueColor visual on a 8 bit display.

-ncols  count
    Limit the number of colors allocated in the color cube on a 8 bit display. The default is 216.

-cmap
    Cause djview3 to install a private color map on an 8-bit display.

-fix
    Checks the files $HOME/.mailcap and $HOME/.mime.types and attempt to reconstruct sensible DjVu entries. This is sometimes useful to make the DjVu plugin work.

USING DJVIEW3 AS A BROWSER PLUGIN
The djvulibre browser plugin works by invoking a standalone DjVu viewer with the special option -netscape. See the man page nsdejavu(1) for more details. When djview3 is invoked by the djvulibre browser plugin, a number of options can be specified as CGI style arguments in document URL according to the following template:

    http://server/dir/file.djvu?djvuopts&keyword=value&keyword=value&...

The DjVu browser plugin only recognizes keywords that appear after the word djvuopts. Unrecognized keywords are silently ignored. The following keywords are recognized:

passive=(yes|no)
    Cause the image to be displayed in a manner similar to an ordinary web image. The default zoom factor is changed to "Fit Page". The toolbar, the pop-up menu, the scroll bar, and the keyboard shortcuts are disabled. The default is no.

scrollbars=(yes|no)
    Enable or disable the presence of scroll bars when the full image size exceeds the plugin window size. The default is yes.

menu=(yes|no)
    Enable or disable the pop-up menu. The pop-up menu is enabled by default.

keyboard=(yes|no)
    Enable or disable the DjVu plugin keyboard shortcuts. The default is yes (enabled).

frame=(yes|no)
    Enable or disable the display of a thin gray frame around the DjVu image. Keyboard shortcuts are enabled by default.

links=(yes|no)
    Enable or disable hyper-links in the DjVu image. Hyper-links are enabled by default.

logo=(yes|no)
    Enable or disable the display of the DjVu log while the plug-in is downloading data. This is enabled by default.

page=pagenum
    Specify the initial page to be displayed. Page numbers are numbered from 1.

zoom=zoomfactor
    Specify the initial zoom factor. Unless the toolbar, pop-up menu and keyboard are disabled, the user will be able to change the zoom factor. Legal values for zoomfactor are shown in the below:
    one2one | Select the "one-to-one" mode.
    width | Select the "fit width" mode.
    page | Select the "fit page" mode.
    stretch | Stretch the image to the plugin window size.

mode=modespec
    Specify the initial display mode. Unless the toolbar and pop-up menu are disabled, the user will be able to change it. Legal values for modespec are shown in the below:
    bw | Display the foreground mask only.
    fore | Display the foreground only.
    back | Display the background only.

hor_align=keyword
    Specify the horizontal position of the page in the viewer window. (This does not specify what part of the page will be shown, but rather how margins will be laid out around the page in the plugin window.) Argument keyword must be left, center, or right.

ver_align=keyword
    Specify the vertical position of the page in the viewer window. (This does not specify what part of the page will be shown, but rather how margins will be laid out around the page in the plugin window.) Argument keyword must be top, center, or bottom.

toolbar=keyword{(,|+|-)keyword}
    Controls the appearance and the contents of the toolbar. The argument of option toolbar is composed of a number of keywords separated by characters comma, plus or minus. The appearance of the toolbar is controlled by keywords placed before the first occurrence of a character plus or minus. The following keywords are recognized in this context:
    always | Disable toolbar "autohide" mode.
    auto | Enable toolbar "autohide" mode.
    top | Place toolbar along top edge (not implemented).
    bottom | Place toolbar along bottom edge.

    The contents of the toolbar is controlled by keywords placed after the first occurrence of a character plus or minus. Each keyword adds (after a plus) or remove (after a minus) a particular toolbar button or group of buttons. The initial content of the toolbar is determined by the first occurrence of a character plus or minus. When this is a plus the toolbar is initially empty. When this is a minus the toolbar is initially full. The following keywords are recognized:
    rescombo | for the zoom selection tool.
    zoom | for the zoom buttons.
    pan | for the panning mode button.
    zoomsel | for the zooming mode button.
    textsel | for the text selection mode button.
    rotate | for the image rotation buttons.
    search | for the text search button.
    save | for the save button.
    print | for the print button.
    pagecombo | for the page selection tool.
    firstlast | for the first-page and last-page buttons.
    prevnext | for the previous- and next-page buttons.
    backforw | for the back and forward buttons.

highlight=x,y,w,h[,color]
    Display a highlighted rectangle at the specified coordinates and with the specified color. Coordinates x, y, w, and h are measured in document image coordinates (not screen coordinates). The origin is set at the bottom left corner of the image. The color color must be given in hexadecimal RRGGBB format. Omitting the color argument means to use XOR highlighting. Multiple highlighted zone can be specified.

rotate=(0|90|180|270)
    Rotate the djvu image by the specified angle expressed in degrees counter-clockwise.

print=(yes|no)
    Enable or disable printing the djvu image. Printing is enabled by default.

cache=(yes|no)
    Enable or disable the caching of fully decoded pages of the document. Caching is on by default. Caching of documents whose URL does not contain extension is off by default.

The same options can be specified as parameters of EMBED or OBJECT tags in a HTML file. See nsdejavu(1) for more details.

CREDITS
This program was written by Andrei Erofeev <andrew_erofeev@yahoo.com> and was then improved by Bill Riemers <docbill@sourceforge.net> and Léon Bottou <leonb@users.sourceforge.net>.

SEE ALSO
djvu(1), ddjvu(1), nsdejavu(1)